{% extends 'base.html.twig' %}
{% set reference = coOwnership %}
{% set origin = 'coOwnership' %}

{% block title %}{{ coOwnership.residenceName }} - vérifications{% endblock %}

{% block body %}
    <h1>Résultat pour les différents scénarios</h1>

    {% set item = 0 %}
    {% for scenario in scenarios %}
        <h2>{{ scenario }}</h2>
        <table class="listingProject table-striped m-auto text-center">
            <tr>
            <th>Tantièmes</th>
                <th>Type de valeur</th>
        {% for  occupant in occupants%}
            <th>{{ occupant }}</th>
        {% endfor %}
            </tr>
            {% for key, tantieme in tantiemes %}
                <tr>
                    <th rowspan="{{ results[0][item]|length + 2 }}">{{ tantieme }}</th>
                    <td>investissement</td>
                    <td colspan="4" align="center">{{ investment[key][item] }}</td>
                </tr>
                {% set grantNb = 0 %}
                {% set total = investment[key][item] %}
                {% for grant in grants %}
                <tr>
                    <td>{{ grant }}</td>
                    {% for i in key..key+3 %}
                        {% set grantValue = results[i][item][grantNb] %}
                        <td>{{ grantValue }}</td>
                    {% endfor %}
                </tr>
                    {% set grantNb = grantNb + 1 %}
                    {% endfor %}
                <tr>
                    <td>Reste à charge</td>
                    {% for i in key..key+3 %}
                        {% set grantSum = 0 %}
                        {% for g in 0..grants|length - 1 %}
                            {% set grantSum = grantSum + results[i][item][g] %}
                        {% endfor %}
                        <td>{{ total - grantSum }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
        </table>
        {% set item = item + 1 %}
    {% endfor %}

{% endblock %}